Bug 193296 - When ejecting iPod, kernel says: usb 1-6: reset high speed USB device using ehci_hcd and address 4
When ejecting iPod, kernel says: usb 1-6: reset high speed USB device using e...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-26 18:05 EDT by Todd Zullinger
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.6.18-1.2200.fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 00:20:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of lspci -vv (19.39 KB, text/plain)
2006-05-26 18:07 EDT, Todd Zullinger
no flags Details
output of lsusb -v (16.15 KB, text/plain)
2006-05-26 18:09 EDT, Todd Zullinger
no flags Details
kernel messages in /var/log/messages (1.69 KB, text/plain)
2006-05-26 18:11 EDT, Todd Zullinger
no flags Details

  None (edit)
Description Todd Zullinger 2006-05-26 18:05:25 EDT
Description of problem:
I have a Dell Inspiron E1705/9400 laptop.  It's running FC4 and FC5 and with
both versions, I get errors when attempting to eject/unmount my iPod.

Version-Release number of selected component (if applicable):
kernel-2.6.16-1.2122_FC5smp (and all previous kernels tested)

How reproducible:
Nearly 100% of the time.  Occassionally I get shocked and the iPod ejects
cleanly. :)

Steps to Reproduce:
1. Plug in an iPod (I have tried this with 4th and 5th gen iPods)
2. Attempt to eject it via Gnome's desktop icon or at the command line using
eject (as root)
  
Actual results:
It fails to eject and the "do not disconnect" message on the iPod doesn't go
away.  Unloading the usb drivers (uhci_hcd, ehci_hcd, and usb_storage) will
clear the message from the iPod).

Expected results:
Eject should unmount and eject the iPod cleanly

Additional info:
I've these same iPod's on two other PC's and they don't seem to exhibit this
problem.  In testing just now with the 5g iPod, both other PC's ejected it fine,
one from the command line with no gui running, the other from the gnome desktop.
 Upon reinserting the ipod into the laptop, I was able to eject it from the
gnome desktop cleanly several times before getting the error again.

I admit this is a rather odd problem, but it's an annoying one because when it
fails to eject I have to wait for the timeout before forcibly unloading the usb
modules and disconnecting.

Suggestions for ways to debug this would be most welcome.

I will attach the output of lspci -vv, lsusb -vv, and the kernel messages in
/var/log/messages for inserting and ejecting the iPod.

Thanks
Comment 1 Todd Zullinger 2006-05-26 18:07:47 EDT
Created attachment 130054 [details]
output of lspci -vv
Comment 2 Todd Zullinger 2006-05-26 18:09:10 EDT
Created attachment 130055 [details]
output of lsusb -v
Comment 3 Todd Zullinger 2006-05-26 18:11:39 EDT
Created attachment 130056 [details]
kernel messages in /var/log/messages
Comment 4 Pete Zaitcev 2006-06-14 15:57:09 EDT
See also bug 154955. Please do not dup - in this case we have a reset, and
we do not have one in 154955.
Comment 5 Pete Zaitcev 2006-07-07 19:38:18 EDT
Waaait a moment. This is a PID 0x1209, in other words the ultramodern
iPod Video. The 0x1209 does NOT have an entry in unusual_devs.h,
so it's biasable.

Do this:
 - unplug
 echo ub > /sys/module/libusual/parameters/bias
 rmmod usb-storage    # just in case
 - plug back

And it should work just fine with Nautilus. Please verify.

If it does, gtkpod may need some reconfiguration, I'm not quite sure.
In my case, it does. I have it mounting /mnt/ipod, which is described
statically in /etc/fstab.
Comment 6 Todd Zullinger 2006-07-08 16:10:14 EDT
Pete you're the man!  That does appear to solve the reset.  I've tested it
numerous times so far and haven't had a reset yet.  I'll let you know if that
changes for the worse.

One thing that this appears to change is how HAL detects the device.  It's not
getting picked up as an iPod now, but as just a generic usb disc.  While I don't
mind that Nautilus doesn't show the pretty iPod icon, one negative consequence
of this is that when you right click and choose Unmount, no eject is done so the
iPod's "Do no Disconnect" warning doesn't go away.  Instead of using the right
click, I've been running sudo eject /media/<VOLUME>.

If using the ub module is only a temporary solution to test whether adding this
ipod model to unusual_devs.h would help, then no worries.  If it's meant to be a
longer term solution, I'll have to dig into why HAL's not picking this up.

Thanks much!!  Let me know if you have some other tests in mind here (perhaps
adding this to unusual_devs.h and compiling a kernel).
Comment 7 Pete Zaitcev 2006-07-11 03:43:36 EDT
Yeah, weird. I'll talk to Messiers Classen and Zeuten about it.
In fact, on Rawhide Nautilus does not allow to eject iPod even when
it's driven by usb-storage (despite showing the correct icon when mounted).
Comment 8 Dave Jones 2006-10-16 14:13:01 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 9 Todd Zullinger 2006-10-18 00:20:20 EDT
This does appear to have resolved the problem.  I've plugged and unplugged my
ipod numerous times using 2.6.18-1.2200.fc5smp and haven't had any errors.  Many
thanks Dave and Pete!

Note You need to log in before you can comment on or make changes to this bug.